Removes all documents matching any of the queries

- « SolrClient::deleteByIds

- SolrClient::deleteByQuery »

- PHP Manual
- SolrClient
- Removes all documents matching any of the queries

# SolrClient::deleteByQueries

(PECL solr >= 0.9.2)

SolrClient::deleteByQueries — Removes all documents matching any of the queries

### Description

public SolrClient::deleteByQueries(array `$queries`): SolrUpdateResponse

Removes all documents matching any of the queries

### Parameters

`queries`

  The array of queries. This must be an actual php variable.

### Return Values

Returns a SolrUpdateResponse on success and throws a SolrClientException on failure.

### Errors/Exceptions

Throws SolrClientException if the client had failed, or there was a connection issue.

Throws SolrServerException if the Solr Server had failed to process the request.

### See Also

- SolrClient::deleteById() - Delete by Id
- SolrClient::deleteByIds() - Deletes by Ids
- SolrClient::deleteByQuery() - Deletes all documents matching the given query